Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 592137 - Review Request: koffice-kivio - A flowcharting application
Review Request: koffice-kivio - A flowcharting application
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Janssen
Fedora Extras Quality Assurance
:
: 592139 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 20:18 EDT by Kevin Kofler
Modified: 2010-05-18 21:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 21:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
thomasj: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2010-05-13 20:18:04 EDT
Spec URL: http://repo.calcforge.org/f13/koffice-kivio.spec
SRPM URL: http://repo.calcforge.org/f13/koffice-kivio-1.6.3-30.trinity.20100511svn.fc13.src.rpm
Description: A flowcharting application.

This package was part of KOffice 1. Fedora 13 and newer have KOffice 2, which does not yet include Kivio. So this package builds Kivio (and only Kivio) from KOffice 1, so that it can be installed in parallel with KOffice 2.

The patch at http://repo.calcforge.org/f13/koffice.spec.patch to the KOffice 2 SRPM removes the Obsoletes for koffice-kivio so this package can be installed.
Comment 1 Parag AN(पराग) 2010-05-14 12:46:19 EDT
*** Bug 592139 has been marked as a duplicate of this bug. ***
Comment 2 Kevin Kofler 2010-05-15 13:21:42 EDT
If you have any koffice-langpack* packages installed, you'll want to upgrade them to 2.1.91-2.fc13:
http://koji.fedoraproject.org/koji/buildinfo?buildID=173632
to prevent file conflicts with koffice-kivio.
Comment 3 Kevin Kofler 2010-05-15 14:17:25 EDT
Spec URL: http://repo.calcforge.org/f13/koffice-kivio.spec
SRPM URL:
http://repo.calcforge.org/f13/koffice-kivio-1.6.3-31.trinity.20100511svn.fc13.src.rpm

* Sat May 15 2010 Kevin Kofler <Kevin@…>
- 3:1.6.3-31.trinity.20100511
- ship /usr/share/apps/koffice/koffice_shell.rc, Kivio needs it

This fixes the menu bar not displaying properly.
Comment 4 Kevin Kofler 2010-05-15 14:17:59 EDT
(Not sorting properly, to be more precise. koffice_shell.rc defines the ordering of the top-level menus.)
Comment 5 Thomas Janssen 2010-05-17 03:40:18 EDT
Starting the review now.
Comment 6 Aditya Patawari 2010-05-17 07:14:54 EDT
Informal Review

rpmlint output:
koffice-kivio.src: W: spelling-error Summary(en_US) flowcharting -> flow charting, flow-charting, flowchart
koffice-kivio.src: W: spelling-error %description -l en_US flowcharting -> flow charting, flow-charting, flowchart
Error checking signature of ../../Downloads/koffice-kivio-1.6.3-31.trinity.20100511svn.fc13.src.rpm: ../../Downloads/koffice-kivio-1.6.3-31.trinity.20100511svn.fc13.src.rpm: (SHA1) DSA sha1 md5 (GPG) NOT OK (MISSING KEYS:GPG#1634f842)
koffice-kivio.src: W: invalid-url Source1: kivio-translations-20100511.tar.bz2
koffice-kivio.src: W: invalid-url Source0: koffice-trinity-20100511.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ BuildRequires correct
+ defattr present and correct
+ %doc is fine
+ BuildRoot is correct {_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ desktop files are properly validated.
+ Package is code and has permissible content.
+ Package owns all the directories it creates.
- md5sum not verified as the source was tarred manually from the svn snapshot
- There is no step-by-step guide on how to get the source tarball.

The package looks fine, has to reviewed by a packager.
Comment 7 Thomas Janssen 2010-05-18 15:59:27 EDT
Well done Aditya.

Kevin, i would love to see step-by-step instructions, how to get the source tarballs. You can add that in CVS later as well. I know the package is needed to have a clean upgrade path.

APPROVED.
Comment 8 Kevin Kofler 2010-05-18 16:06:59 EDT
New Package CVS Request
=======================
Package Name: koffice-kivio
Short Description: A flowcharting application
Owners: kkofler rdieter
Branches: F-13
InitialCC: tuxbrewr

(Yes, I need only F-13 and devel branches, because F-11 and F-12 are staying on KOffice 1 and so ship Kivio from the koffice SRPM.)
Comment 9 Dennis Gilmore 2010-05-18 16:48:51 EDT
CVS Done

No need for the extra noise we really don't care to much what you branch it for.
Comment 10 Kevin Kofler 2010-05-18 21:13:38 EDT
Imported, built for Rawhide.

Note You need to log in before you can comment on or make changes to this bug.